Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class Prop

    java.lang.Object
      org.basex.core.AProp
          org.basex.core.Prop

    public final class Prop

extends AProp

This class assembles properties which are used all around the project. They are initially read from and finally written to disk.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`static java.lang.Object[]` | `ALLINFO` Detailed query info.
`static java.lang.Object[]` | `ATTRINDEX` Flag for creating an attribute value index.
`static java.lang.Object[]` | `CHOP` Flag for whitespace chopping.
`static java.lang.Object[]` | `COMPPLAN` Creates the query plan before or after compilation.
`static java.lang.Object[]` | `CREATEFILTER` Path for filtering XML Documents.
`static java.lang.Object[]` | `DBPATH` Database path.
`static boolean` | `debug` Debug mode.
`static java.lang.Object[]` | `DEBUG` Debug mode.
`static java.lang.Object[]` | `DOTPLAN` Dots the query plan.
`static java.lang.Object[]` | `DOTTY` Path to dotty.
`static java.lang.Object[]` | `DTD` Flag for parsing DTDs in internal parser.
`static java.lang.String` | `ENCODING` Returns the system's default encoding.
`static java.lang.Object[]` | `ENTITY` Flag for entity parsing in internal parser.
`static java.lang.Object[]` | `FSCONT` Flag for importing file contents.
`static java.lang.Object[]` | `FSMETA` Flag for importing file metadata.
`static java.lang.Object[]` | `FSTEXTMAX` Maximum size for textual imports.
`static java.lang.Object[]` | `FTCS` Flag for full-text case sensitivity.
`static java.lang.Object[]` | `FTDC` Flag for full-text diacritics sensitivity.
`static java.lang.Object[]` | `FTFUZZY` Flag for creating a fuzzy index.
`static java.lang.Object[]` | `FTINDEX` Flag for creating a full-text index.
`static java.lang.Object[]` | `FTST` Flag for full-text stemming.
`static java.lang.Object[]` | `FUSE` Fuse support.
`static boolean` | `gui` GUI mode.
`static java.lang.String` | `HOME` User's home directory.
`static java.lang.Object[]` | `HOST` Host for client/server communication.
`static java.lang.Object[]` | `INDEXALL` Show all index info.
`static java.lang.Object[]` | `INFO` Short query info.
`static java.lang.Object[]` | `INTPARSE` Use internal XML parser.
`static boolean` | `langkeys` Flag for showing language keys.
`static java.lang.Object[]` | `LANGKEYS` Flag to include key names in the language strings.
`static java.lang.String` | `language` Language (applied after restart).
`static java.lang.Object[]` | `LANGUAGE` Language Name (currently: English or German).
`static java.lang.Object[]` | `LSERR` Levenshtein default error.
`static java.lang.Object[]` | `MAB2FLAT` Flag for creating flat MAB2 data.
`static boolean` | `MAC` Flag denoting if OS belongs to Mac family.
`static java.lang.Object[]` | `MAINMEM` Flag for creating a main memory database.
`static java.lang.Object[]` | `MAXTEXT` Maximum text size to be displayed.
`static java.lang.Object[]` | `NATIVEDATA` Flag for creating a native (joint) database.
`static java.lang.Object[]` | `NEWFSPARSER` FSParser implementation.
`static java.lang.String` | `NL` New line string.
`static java.lang.String` | `OS` OS Flag (should be ignored whenever possible).
`static java.lang.Object[]` | `PATHINDEX` Flag for creating a path summary.
`static java.lang.Object[]` | `PHPPATH` PHP Path.
`static java.lang.Object[]` | `PORT` Port for client/server communication.
`static java.lang.Object[]` | `RUNS` Number of query executions.
`static java.lang.String` | `SEP` File separator string.
`static java.lang.Object[]` | `SERIALIZE` Flag for serializing query results.
`static java.lang.Object[]` | `SKIP` The following options are not saved to disk; don't remove this flag.
`static java.lang.Object[]` | `SPOTLIGHT` Spotlight integration.
`static java.lang.Object[]` | `TABLEMEM` Flag for loading database table into main memory.
`static java.lang.Object[]` | `TEXTINDEX` Flag for creating a text index.
`static java.lang.Object[]` | `TIMEOUT` Server timeout in seconds.
`static java.lang.String` | `TMP` System's temporary directory.
`static boolean` | `UNIX` Flag denoting if OS belongs not to Windows family.
`static boolean` | `web` Web Server mode.
`static java.lang.Object[]` | `WEB` Web server mode.
`static java.lang.Object[]` | `WEBPATH` Web Server path.
`static java.lang.Object[]` | `WEBPORT` Port for web server.
`static java.lang.String` | `WORK` Returns the current working directory.
`static java.lang.Object[]` | `XMLOUTPUT` Flag for serialization as XML.
`static java.lang.Object[]` | `XMLPLAN` Prints a XML plan.
`static java.lang.Object[]` | `XQFORMAT` Format XQuery output.
`static IO` | `xquery` Last XQuery file.

Constructor Summary
`Prop()` Constructor.

Method Summary
`java.io.File` | `dbfile(java.lang.String db, java.lang.String file)` Adds the database suffix to the specified filename and creates a file instance.
`java.io.File` | `dbpath(java.lang.String db)` Returns a file instance for the current database path.

Methods inherited from class org.basex.core.AProp
`get, invert, is, num, nums, object, set, set, set, set, set, set, strings, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NL

    public static final java.lang.String NL

  New line string.

### SEP

    public static final java.lang.String SEP

  File separator string.

### ENCODING

    public static final java.lang.String ENCODING

  Returns the system's default encoding.

### WORK

    public static final java.lang.String WORK

  Returns the current working directory.

### HOME

    public static final java.lang.String HOME

  User's home directory.

### TMP

    public static final java.lang.String TMP

  System's temporary directory.

### OS

    public static final java.lang.String OS

  OS Flag (should be ignored whenever possible).

### UNIX

    public static final boolean UNIX

  Flag denoting if OS belongs not to Windows family.

### MAC

    public static final boolean MAC

  Flag denoting if OS belongs to Mac family.

### gui

    public static boolean gui

  GUI mode.

### web

    public static boolean web

  Web Server mode.

### language

    public static java.lang.String language

  Language (applied after restart).

### langkeys

    public static boolean langkeys

  Flag for showing language keys.

### debug

    public static boolean debug

  Debug mode.

### xquery

    public static IO xquery

  Last XQuery file.

### DBPATH

    public static final java.lang.Object[] DBPATH

  Database path.

### WEBPATH

    public static final java.lang.Object[] WEBPATH

  Web Server path.

### DOTTY

    public static final java.lang.Object[] DOTTY

  Path to dotty.

### LANGUAGE

    public static final java.lang.Object[] LANGUAGE

  Language Name (currently: English or German).

### LANGKEYS

    public static final java.lang.Object[] LANGKEYS

  Flag to include key names in the language strings.

### HOST

    public static final java.lang.Object[] HOST

  Host for client/server communication.

### PORT

    public static final java.lang.Object[] PORT

  Port for client/server communication.

### WEBPORT

    public static final java.lang.Object[] WEBPORT

  Port for web server.

### SKIP

    public static final java.lang.Object[] SKIP

  The following options are not saved to disk; don't remove this flag.

### DEBUG

    public static final java.lang.Object[] DEBUG

  Debug mode.

### WEB

    public static final java.lang.Object[] WEB

  Web server mode.

### INFO

    public static final java.lang.Object[] INFO

  Short query info.

### ALLINFO

    public static final java.lang.Object[] ALLINFO

  Detailed query info.

### SERIALIZE

    public static final java.lang.Object[] SERIALIZE

  Flag for serializing query results.

### XMLOUTPUT

    public static final java.lang.Object[] XMLOUTPUT

  Flag for serialization as XML.

### DOTPLAN

    public static final java.lang.Object[] DOTPLAN

  Dots the query plan.

### XMLPLAN

    public static final java.lang.Object[] XMLPLAN

  Prints a XML plan.

### COMPPLAN

    public static final java.lang.Object[] COMPPLAN

  Creates the query plan before or after compilation.

### XQFORMAT

    public static final java.lang.Object[] XQFORMAT

  Format XQuery output.

### INTPARSE

    public static final java.lang.Object[] INTPARSE

  Use internal XML parser.

### DTD

    public static final java.lang.Object[] DTD

  Flag for parsing DTDs in internal parser.

### ENTITY

    public static final java.lang.Object[] ENTITY

  Flag for entity parsing in internal parser.

### RUNS

    public static final java.lang.Object[] RUNS

  Number of query executions.

### CHOP

    public static final java.lang.Object[] CHOP

  Flag for whitespace chopping.

### PATHINDEX

    public static final java.lang.Object[] PATHINDEX

  Flag for creating a path summary.

### TEXTINDEX

    public static final java.lang.Object[] TEXTINDEX

  Flag for creating a text index.

### ATTRINDEX

    public static final java.lang.Object[] ATTRINDEX

  Flag for creating an attribute value index.

### FTINDEX

    public static final java.lang.Object[] FTINDEX

  Flag for creating a full-text index.

### TABLEMEM

    public static final java.lang.Object[] TABLEMEM

  Flag for loading database table into main memory.

### MAINMEM

    public static final java.lang.Object[] MAINMEM

  Flag for creating a main memory database.

### CREATEFILTER

    public static final java.lang.Object[] CREATEFILTER

  Path for filtering XML Documents.

### MAXTEXT

    public static final java.lang.Object[] MAXTEXT

  Maximum text size to be displayed.

### INDEXALL

    public static final java.lang.Object[] INDEXALL

  Show all index info.

### FTFUZZY

    public static final java.lang.Object[] FTFUZZY

  Flag for creating a fuzzy index.

### FTST

    public static final java.lang.Object[] FTST

  Flag for full-text stemming.

### FTCS

    public static final java.lang.Object[] FTCS

  Flag for full-text case sensitivity.

### FTDC

    public static final java.lang.Object[] FTDC

  Flag for full-text diacritics sensitivity.

### FSCONT

    public static final java.lang.Object[] FSCONT

  Flag for importing file contents.

### FSMETA

    public static final java.lang.Object[] FSMETA

  Flag for importing file metadata.

### FSTEXTMAX

    public static final java.lang.Object[] FSTEXTMAX

  Maximum size for textual imports.

### LSERR

    public static final java.lang.Object[] LSERR

  Levenshtein default error.

### MAB2FLAT

    public static final java.lang.Object[] MAB2FLAT

  Flag for creating flat MAB2 data.

### TIMEOUT

    public static final java.lang.Object[] TIMEOUT

  Server timeout in seconds.

### NEWFSPARSER

    public static final java.lang.Object[] NEWFSPARSER

  FSParser implementation. If true, the new implementation is used.

### FUSE

    public static final java.lang.Object[] FUSE

  Fuse support.

### NATIVEDATA

    public static final java.lang.Object[] NATIVEDATA

  Flag for creating a native (joint) database.

### SPOTLIGHT

    public static final java.lang.Object[] SPOTLIGHT

  Spotlight integration. If true, on mac platforms spotlight index is used instead of the internal parser implementations.

### PHPPATH

    public static final java.lang.Object[] PHPPATH

  PHP Path.

Constructor Detail

### Prop

    public Prop()

  Constructor.

Method Detail

### dbfile

    public java.io.File dbfile(java.lang.String db,
                               java.lang.String file)

  Adds the database suffix to the specified filename and creates a file instance.

  Parameters:
    `db` - name of the database
    `file` - filename
  Returns:
    database filename

### dbpath

    public java.io.File dbpath(java.lang.String db)

  Returns a file instance for the current database path.

  Parameters:
    `db` - name of the database
  Returns:
    database filename

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD